var ifArrows = false;
const breakingPoint = 630;
function removeArrows() {
    if (document.querySelectorAll(".arrow").length > 0) {
        for (let elIn of document.querySelectorAll("nav .in")) {
            let parent = elIn.parentNode;
            while (elIn.firstChild)
                parent.insertBefore(elIn.firstChild, elIn);
            parent.removeChild(elIn);
        }
        for (let arrEl of document.querySelectorAll(".arrow")) {
            arrEl.remove();
        }
        ifArrows = false;
    }
}
function setArrows() {
    if (!document.querySelectorAll(".arrow").length) {
        for (let navUl of document.querySelectorAll("nav ul li ul")) {
            let wrapEl = navUl.closest("li").querySelector("a");
            let wrapper = document.createElement('div');
            wrapper.className = "in";
            wrapEl.parentNode.insertBefore(wrapper, wrapEl);
            wrapper.appendChild(wrapEl);
        }
        for (let inEl of document.querySelectorAll(".in")) {
            let arr = document.createElement('div');
            arr.className = "arrow";
            inEl.appendChild(arr);
        }
    }
    if (!ifArrows) {
        clickArrows();
        ifArrows = true;
    }
}
for (let navA of document.querySelectorAll("nav>ul>li a")) {
    navA.addEventListener("click", function () {

        if (window.innerWidth < breakingPoint) {
            document.querySelector("nav > ul").classList.remove("act-ul");
            if (!document.querySelectorAll(".act")) {
                document.querySelector(".act").classList.remove("act");
            }
            for (let arrEl of document.querySelectorAll(".arrow")) {
                arrEl.classList.remove("rotate");
            }
        }
    });
}
document.querySelector("#burger-menu").addEventListener("click", function () {
    document.querySelector("nav > ul").classList.toggle("act-ul");
});
if (window.innerWidth < breakingPoint) {
    setArrows();
}

function clickArrows() {
    for (let arrElLink of document.querySelectorAll(".arrow")) {
        arrElLink.addEventListener("click", function (event) {
            event.target.closest("li").querySelector("ul").classList.toggle("act");
            event.target.classList.toggle("rotate");
            let parentLiCur = event.target.closest("li");
            for (let arrEl of document.querySelectorAll(".arrow")) {
                let liList = arrEl.closest("li");
                if (parentLiCur != liList) {
                    arrEl.classList.remove("rotate");
                    arrEl.closest("li").querySelector("ul").classList.remove("act");
                }
            }
        });
    }
}
window.addEventListener("resize", () => {

    for (let ul of  document.querySelectorAll("nav ul li ul")) {
        ul.classList.remove("act");
    }
    for (let arrEl of document.querySelectorAll(".arrow")) {
        arrEl.classList.remove("rotate");
    }
    if (window.innerWidth < breakingPoint) {
        setArrows();
    } else {
        removeArrows();
    }
});