$(document).ready(function () {
    const breakingPointNavi = 630;
    function removeArrows() {
        if ($(".arrow").length > 0) {
            $(".arrow").remove();
            $("nav a").unwrap(".in");
        }
    }
    function setArrows() {
        if (!$(".arrow").length) {
            $("nav ul li ul").parents("li").children("a").wrap("<span class='in'></span>");
            $(".in").append("<div class='arrow'></div>");
        }
    }
    $("nav>ul>li a").on("click", function () {
        if ($(window).outerWidth() < breakingPointNavi) {
            $("nav > ul").removeClass("act-ul");
            $(".act").removeClass("act");
            $(".arrow").removeClass("rotate");
        }
    });
    $("#burger-menu").on("click", function () {
        $("nav > ul").toggleClass("act-ul");
    });
    if ($(window).outerWidth() < breakingPointNavi) {
        setArrows();
    }    
    $(document).on('click', '.arrow', function () {
        $(this).parents("li").children("ul").toggleClass("act");
        $(this).parents("li").siblings().find("ul").removeClass("act");
        $(this).toggleClass("rotate");
        $(this).parents("li").siblings().find(".arrow").removeClass("rotate");
    });
    $(window).resize(function () {
        
        $("nav ul li ul").removeClass("act");
        $(".arrow").removeClass("rotate");
        if ($(window).outerWidth() < breakingPointNavi) {
            setArrows();
        } else {
            removeArrows();
        }
    });
});